Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise
Class AbstractOGCServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.deegree.enterprise.AbstractOGCServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  OGCServletController

    public abstract class AbstractOGCServlet

extends javax.servlet.http.HttpServlet

Abstract servlet that serves as an OCC-compliant HTTP-frontend to any OGC-WebService (WFS, WMS, ...).

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $
See Also:
  Serialized Form
To do:
  refactoring required, move to package servlet

Constructor Summary
`AbstractOGCServlet()`

Method Summary
`protected void` | `handleException(String msg, Exception ex, javax.servlet.http.HttpServletResponse response)` Deprecated.
`void` | `init(javax.servlet.ServletConfig servletConfig)` Called by the servlet container to indicate that the servlet is being placed into service.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOGCServlet

    public AbstractOGCServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Called by the servlet container to indicate that the servlet is being placed into service. Sets the debug level according to the debug parameter defined in the ServletEngine's environment.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `servletConfig` - servlet configuration
  Throws:
    `javax.servlet.ServletException` - exception if something occurred that interferes with the servlet's normal operation

### handleException

    @Deprecated
    protected void handleException(String msg,
                                              Exception ex,
                                              javax.servlet.http.HttpServletResponse response)

  Deprecated.

  handles fatal errors by creating a OGC exception XML and sending it back to the client

  Parameters:
    `msg` -
    `ex` -
    `response` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org